import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'capitalize',
})
export class CapitalizePipe implements PipeTransform {
  transform(value: string): string {
    if (!value) {
      return '';
    }
    return value[0].toLocaleUpperCase() + value.toLocaleLowerCase().slice(1);
  }
}
